#11 Not highlight differences inside lines with notepad++ 6.2.x

open
nobody
None
9
2015-09-14
2013-01-10
No

Compare plugin does not highlight differences inside lines after notepad++ is versioned 6.2.1 or latter.
It works well with notepad++ 6.2 or previous versions.

Discussion

  • Anonymous - 2013-01-10
    • priority: 5 --> 9
     
  • Sylvain Vedrenne

    I went back to Notepad++ 6.2 to avoid this very annoying issue.
    Thanks for the information.

     
  • Yuri

    Yuri - 2013-08-09

    Hi guys,

    any progress on that? Still broken in Notepad++ 6.4.5 :-(

     
  • Othermachines

    Othermachines - 2013-08-30

    Reporting that the problem went away for me when I updated from Notepad++ 6.4.3 to 6.4.5 (Compare version 1.5.6.2, Windows 8).

     
  • ChrisW

    ChrisW - 2013-09-22

    Updated to 6.4.5 as suggested but this just made it worse. All color formatting in the Left side comparison is lost, and text highlighting of variations is not present Win 7 X 64.

    EDIT - Reverted to NP++ 6.2.3 and Compare 1.5.6.2 and the text highlighting is working again (still Win7x64).

     
    Last edit: ChrisW 2013-09-22
  • RgnKjnVA

    RgnKjnVA - 2015-07-21

    This is STILL an issue with the latest NPP (v6.7.9.2) & Compare (1.5.6) versions. Please fix ASAP. This issue is causing me to look for alternative text editors though I much prefer NPP.

    I just went to NPP 6.2.3 and Compare 1.5.6 like ChrisW above but still don't see highlighted diffs. Win7 btw

    Actually, looks like most of the existing bugs are associated with the Compare plugin.

     
    Last edit: RgnKjnVA 2015-07-21
    • RgnKjnVA

      RgnKjnVA - 2015-07-23

      FYI I just noticed and installed NPP v6.8 which was released on 7/21/2015, the day I posted the comment above. I also installed Compare v1.5.6.2 downloaded from Sourceforge (it's not found via NPP Plugin Manager) to find that string diffs in a line are highlighted again. w00t!

       
      Last edit: RgnKjnVA 2015-07-23
      • Marc0

        Marc0 - 2015-12-23

        Same problem (with 1.5.6), same solution: Install manually 1.5.6.2

        Using N++ 6.8.6

        Thank you for sharing the info!

         
  • NelsonTC

    NelsonTC - 2015-09-14

    Hi, I also had the same problem.
    Apparently the problem is with the different versions os NPP Compare. The SF page ( sourceforge.net/projects/npp-compare/ ) shows the latest version being 1.5.6.2.
    Plugin Manager from within Notepad++, which I pointing here ( http://sourceforge.net/projects/npp-plugins/ ) shows the latest version 1.5.6.

    I've manually installed 1.5.6.2 and now it's working.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks